if [[ $# -lt 2 ]]
then echo "usage: $0 <SRC_FILE> <DEST_FILE>"
exit
fi

for addr in $(cat $1)
do
x=$(expr substr $addr 1 8)
y=$(expr substr $addr 9 8)
z=$(expr substr $addr 17 8)
t=$(expr substr $addr 25 8)
addr_dot=$((2#$x)).$((2#$y)).$((2#$z)).$((2#$t))
echo $addr_dot
done>$2
exit
